/*
    This is part of brecord.
    General serial port settings.
    Copyright (C) 2004 2006 2007  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __SERIAL__
#define __SERIAL__	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

int OpenSerialPort(char *DevName,int Speed,int BlockLen,int Timeout);
  /* Apre la porta seriale e imposta i parametri di comunicaione. In uscita
     restituisce il device handler della porta. In caso di fallimento
     restituisce -1 ed errno contiene l'errore. */

void CloseSerialPort(int DevFD);
  /* Reimposta i settaggi originali e chiude la porta seriale. */

/***************************************************************************/
#endif

/* $Source$ */

